<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\HighlyStructuredMessage\HSMLocalizableParameter\HSMDateTime\HSMDateTimeComponent;

use UnexpectedValueException;




class DayOfWeekType
{
    


    const DAY_OF_WEEK_TYPE_UNSPECIFIED = 0;
    


    const MONDAY = 1;
    


    const TUESDAY = 2;
    


    const WEDNESDAY = 3;
    


    const THURSDAY = 4;
    


    const FRIDAY = 5;
    


    const SATURDAY = 6;
    


    const SUNDAY = 7;

    private static $valueToName = [
        self::DAY_OF_WEEK_TYPE_UNSPECIFIED => 'DAY_OF_WEEK_TYPE_UNSPECIFIED',
        self::MONDAY => 'MONDAY',
        self::TUESDAY => 'TUESDAY',
        self::WEDNESDAY => 'WEDNESDAY',
        self::THURSDAY => 'THURSDAY',
        self::FRIDAY => 'FRIDAY',
        self::SATURDAY => 'SATURDAY',
        self::SUNDAY => 'SUNDAY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

